Index: uspace/lib/nic/include/nic_wol_virtues.h
===================================================================
--- uspace/lib/nic/include/nic_wol_virtues.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/include/nic_wol_virtues.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -74,14 +74,14 @@
 } nic_wol_virtues_t;
 
-extern errno_t nic_wol_virtues_init(nic_wol_virtues_t *);
+extern int nic_wol_virtues_init(nic_wol_virtues_t *);
 extern void nic_wol_virtues_clear(nic_wol_virtues_t *);
-extern errno_t nic_wol_virtues_verify(nic_wv_type_t, const void *, size_t);
-extern errno_t nic_wol_virtues_list(const nic_wol_virtues_t *, nic_wv_type_t type,
-    size_t max_count, nic_wv_id_t *id_list, size_t *id_count);
-extern errno_t nic_wol_virtues_add(nic_wol_virtues_t *, nic_wol_virtue_t *);
+extern int nic_wol_virtues_verify(nic_wv_type_t, const void *, size_t);
+extern int nic_wol_virtues_list(const nic_wol_virtues_t *, nic_wv_type_t type,
+	size_t max_count, nic_wv_id_t *id_list, size_t *id_count);
+extern int nic_wol_virtues_add(nic_wol_virtues_t *, nic_wol_virtue_t *);
 extern nic_wol_virtue_t *nic_wol_virtues_remove(nic_wol_virtues_t *,
-    nic_wv_id_t);
+	nic_wv_id_t);
 extern const nic_wol_virtue_t *nic_wol_virtues_find(const nic_wol_virtues_t *,
-    nic_wv_id_t);
+	nic_wv_id_t);
 
 #endif
Index: uspace/lib/nic/src/nic_addr_db.c
===================================================================
--- uspace/lib/nic/src/nic_addr_db.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/src/nic_addr_db.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -120,5 +120,5 @@
  * @return ENOMEM	If there was not enough memory to initialize the storage
  */
-errno_t nic_addr_db_init(nic_addr_db_t *db, size_t addr_len)
+int nic_addr_db_init(nic_addr_db_t *db, size_t addr_len)
 {
 	assert(db);
@@ -168,5 +168,5 @@
  * @return EEXIST	If this adress already is in the db
  */
-errno_t nic_addr_db_insert(nic_addr_db_t *db, const uint8_t *addr)
+int nic_addr_db_insert(nic_addr_db_t *db, const uint8_t *addr)
 {
 	assert(db && addr);
@@ -200,5 +200,5 @@
  * @return ENOENT	If there is no address
  */
-errno_t nic_addr_db_remove(nic_addr_db_t *db, const uint8_t *addr)
+int nic_addr_db_remove(nic_addr_db_t *db, const uint8_t *addr)
 {
 	assert(db && addr);
@@ -223,5 +223,5 @@
  * @return true if the address is in the db, false otherwise
  */
-bool nic_addr_db_contains(const nic_addr_db_t *db, const uint8_t *addr)
+int nic_addr_db_contains(const nic_addr_db_t *db, const uint8_t *addr)
 {
 	assert(db && addr);
Index: uspace/lib/nic/src/nic_driver.c
===================================================================
--- uspace/lib/nic/src/nic_driver.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/src/nic_driver.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -61,5 +61,5 @@
  * @param name	Name of the device/driver (used in logging)
  */
-errno_t nic_driver_init(const char *name)
+int nic_driver_init(const char *name)
 {
 	list_initialize(&nic_globals.frame_list_cache);
@@ -241,7 +241,7 @@
  * @param[out]	resources	Parsed lists of resources.
  *
- * @return EOK or an error code
- */
-errno_t nic_get_resources(nic_t *nic_data, hw_res_list_parsed_t *resources)
+ * @return EOK or negative error code
+ */
+int nic_get_resources(nic_t *nic_data, hw_res_list_parsed_t *resources)
 {
 	ddf_dev_t *dev = nic_data->dev;
@@ -399,8 +399,8 @@
  *  @return EINVAL
  */
-errno_t nic_report_poll_mode(nic_t *nic_data, nic_poll_mode_t mode,
+int nic_report_poll_mode(nic_t *nic_data, nic_poll_mode_t mode,
 	struct timeval *period)
 {
-	errno_t rc = EOK;
+	int rc = EOK;
 	fibril_rwlock_write_lock(&nic_data->main_lock);
 	nic_data->poll_mode = mode;
@@ -423,5 +423,5 @@
  *
  */
-errno_t nic_report_address(nic_t *nic_data, const nic_address_t *address)
+int nic_report_address(nic_t *nic_data, const nic_address_t *address)
 {
 	assert(nic_data);
@@ -434,5 +434,5 @@
 	/* Notify NIL layer (and uppper) if bound - not in add_device */
 	if (nic_data->client_session != NULL) {
-		errno_t rc = nic_ev_addr_changed(nic_data->client_session,
+		int rc = nic_ev_addr_changed(nic_data->client_session,
 		    address);
 
@@ -450,5 +450,5 @@
 	 * calls this should not happen.
 	 */
-	errno_t rc = nic_rxc_set_addr(&nic_data->rx_control,
+	int rc = nic_rxc_set_addr(&nic_data->rx_control,
 	    &nic_data->mac, address);
 	
@@ -521,5 +521,5 @@
 	fibril_rwlock_read_lock(&nic_data->rxc_lock);
 	nic_frame_type_t frame_type;
-	bool check = nic_rxc_check(&nic_data->rx_control, frame->data,
+	int check = nic_rxc_check(&nic_data->rx_control, frame->data,
 	    frame->size, &frame_type);
 	fibril_rwlock_read_unlock(&nic_data->rxc_lock);
@@ -808,5 +808,5 @@
  * @return ENOENT
  */
-errno_t nic_query_vlan_mask(const nic_t *nic_data, nic_vlan_mask_t *mask)
+int nic_query_vlan_mask(const nic_t *nic_data, nic_vlan_mask_t *mask)
 {
 	assert(mask);
@@ -1039,5 +1039,5 @@
  *  @return 0, never reached
  */
-static errno_t period_fibril_fun(void *data)
+static int period_fibril_fun(void *data)
 {
 	nic_t *nic = data;
@@ -1092,5 +1092,5 @@
 		fibril_rwlock_read_unlock(&nic->main_lock);
 	}
-	return EOK;
+	return 0;
 }
 
Index: uspace/lib/nic/src/nic_ev.c
===================================================================
--- uspace/lib/nic/src/nic_ev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/src/nic_ev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,5 +42,5 @@
 
 /** Device address changed. */
-errno_t nic_ev_addr_changed(async_sess_t *sess, const nic_address_t *addr)
+int nic_ev_addr_changed(async_sess_t *sess, const nic_address_t *addr)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
@@ -48,5 +48,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_0(exch, NIC_EV_ADDR_CHANGED, &answer);
-	errno_t retval = async_data_write_start(exch, addr,
+	sysarg_t retval = async_data_write_start(exch, addr,
 	    sizeof(nic_address_t));
 
@@ -63,7 +63,7 @@
 
 /** Device state changed. */
-errno_t nic_ev_device_state(async_sess_t *sess, sysarg_t state)
+int nic_ev_device_state(async_sess_t *sess, sysarg_t state)
 {
-	errno_t rc;
+	int rc;
 
 	async_exch_t *exch = async_exchange_begin(sess);
@@ -75,5 +75,5 @@
 
 /** Frame received. */
-errno_t nic_ev_received(async_sess_t *sess, void *data, size_t size)
+int nic_ev_received(async_sess_t *sess, void *data, size_t size)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
@@ -81,5 +81,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_0(exch, NIC_EV_RECEIVED, &answer);
-	errno_t retval = async_data_write_start(exch, data, size);
+	sysarg_t retval = async_data_write_start(exch, data, size);
 
 	async_exchange_end(exch);
Index: uspace/lib/nic/src/nic_impl.c
===================================================================
--- uspace/lib/nic/src/nic_impl.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/src/nic_impl.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -52,5 +52,5 @@
  * @return EOK always.
  */
-errno_t nic_get_state_impl(ddf_fun_t *fun, nic_device_state_t *state)
+int nic_get_state_impl(ddf_fun_t *fun, nic_device_state_t *state)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
@@ -72,5 +72,5 @@
  * @return EINVAL	If the state cannot be changed
  */
-errno_t nic_set_state_impl(ddf_fun_t *fun, nic_device_state_t state)
+int nic_set_state_impl(ddf_fun_t *fun, nic_device_state_t state)
 {
 	if (state >= NIC_STATE_MAX) {
@@ -108,5 +108,5 @@
 	}
 	if (event_handler != NULL) {
-		errno_t rc = event_handler(nic_data);
+		int rc = event_handler(nic_data);
 		if (rc != EOK) {
 			fibril_rwlock_write_unlock(&nic_data->main_lock);
@@ -117,5 +117,5 @@
 	if (state == NIC_STATE_STOPPED) {
 		/* Notify upper layers that we are reseting the MAC */
-		errno_t rc = nic_ev_addr_changed(nic_data->client_session,
+		int rc = nic_ev_addr_changed(nic_data->client_session,
 			&nic_data->default_mac);
 		nic_data->poll_mode = nic_data->default_poll_mode;
@@ -168,5 +168,5 @@
  * @return EBUSY	If the device is not in state when the frame can be sent.
  */
-errno_t nic_send_frame_impl(ddf_fun_t *fun, void *data, size_t size)
+int nic_send_frame_impl(ddf_fun_t *fun, void *data, size_t size)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
@@ -189,7 +189,7 @@
  * @param	fun
  *
- * @return EOK		On success, or an error code.
- */
-errno_t nic_callback_create_impl(ddf_fun_t *fun)
+ * @return EOK		On success, or negative error code.
+ */
+int nic_callback_create_impl(ddf_fun_t *fun)
 {
 	nic_t *nic = nic_get_from_ddf_fun(fun);
@@ -216,5 +216,5 @@
  * @return ELIMIT	If the buffer is too short
  */
-errno_t nic_get_address_impl(ddf_fun_t *fun, nic_address_t *address)
+int nic_get_address_impl(ddf_fun_t *fun, nic_address_t *address)
 {
 	assert(address);
@@ -235,5 +235,5 @@
  * @return EOK (cannot fail)
  */
-errno_t nic_get_stats_impl(ddf_fun_t *fun, nic_device_stats_t *stats)
+int nic_get_stats_impl(ddf_fun_t *fun, nic_device_stats_t *stats)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
@@ -257,5 +257,5 @@
  * @return EOK
  */
-errno_t nic_unicast_get_mode_impl(ddf_fun_t *fun, nic_unicast_mode_t *mode,
+int nic_unicast_get_mode_impl(ddf_fun_t *fun, nic_unicast_mode_t *mode,
 	size_t max_count, nic_address_t *addr_list, size_t *addr_count)
 {
@@ -281,5 +281,5 @@
  * @return ENOMEM
  */
-errno_t nic_unicast_set_mode_impl(ddf_fun_t *fun,
+int nic_unicast_set_mode_impl(ddf_fun_t *fun,
 	nic_unicast_mode_t mode, const nic_address_t *addr_list, size_t addr_count)
 {
@@ -294,5 +294,5 @@
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
 	fibril_rwlock_write_lock(&nic_data->rxc_lock);
-	errno_t rc = ENOTSUP;
+	int rc = ENOTSUP;
 	if (nic_data->on_unicast_mode_change) {
 		rc = nic_data->on_unicast_mode_change(nic_data,
@@ -324,5 +324,5 @@
  * @return EOK
  */
-errno_t nic_multicast_get_mode_impl(ddf_fun_t *fun, nic_multicast_mode_t *mode,
+int nic_multicast_get_mode_impl(ddf_fun_t *fun, nic_multicast_mode_t *mode,
 	size_t max_count, nic_address_t *addr_list, size_t *addr_count)
 {
@@ -348,5 +348,5 @@
  * @return ENOMEM
  */
-errno_t nic_multicast_set_mode_impl(ddf_fun_t *fun,	nic_multicast_mode_t mode,
+int nic_multicast_set_mode_impl(ddf_fun_t *fun,	nic_multicast_mode_t mode,
 	const nic_address_t *addr_list, size_t addr_count)
 {
@@ -361,5 +361,5 @@
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
 	fibril_rwlock_write_lock(&nic_data->rxc_lock);
-	errno_t rc = ENOTSUP;
+	int rc = ENOTSUP;
 	if (nic_data->on_multicast_mode_change) {
 		rc = nic_data->on_multicast_mode_change(nic_data, mode, addr_list, addr_count);
@@ -381,5 +381,5 @@
  * @return EOK
  */
-errno_t nic_broadcast_get_mode_impl(ddf_fun_t *fun, nic_broadcast_mode_t *mode)
+int nic_broadcast_get_mode_impl(ddf_fun_t *fun, nic_broadcast_mode_t *mode)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
@@ -401,9 +401,9 @@
  * @return ENOMEM
  */
-errno_t nic_broadcast_set_mode_impl(ddf_fun_t *fun, nic_broadcast_mode_t mode)
+int nic_broadcast_set_mode_impl(ddf_fun_t *fun, nic_broadcast_mode_t mode)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
 	fibril_rwlock_write_lock(&nic_data->rxc_lock);
-	errno_t rc = ENOTSUP;
+	int rc = ENOTSUP;
 	if (nic_data->on_broadcast_mode_change) {
 		rc = nic_data->on_broadcast_mode_change(nic_data, mode);
@@ -427,5 +427,5 @@
  * @return EOK
  */
-errno_t nic_blocked_sources_get_impl(ddf_fun_t *fun,
+int nic_blocked_sources_get_impl(ddf_fun_t *fun,
 	size_t max_count, nic_address_t *addr_list, size_t *addr_count)
 {
@@ -450,5 +450,5 @@
  * @return ENOMEM
  */
-errno_t nic_blocked_sources_set_impl(ddf_fun_t *fun,
+int nic_blocked_sources_set_impl(ddf_fun_t *fun,
 	const nic_address_t *addr_list, size_t addr_count)
 {
@@ -458,5 +458,5 @@
 		nic_data->on_blocked_sources_change(nic_data, addr_list, addr_count);
 	}
-	errno_t rc = nic_rxc_blocked_sources_set(&nic_data->rx_control,
+	int rc = nic_rxc_blocked_sources_set(&nic_data->rx_control,
 		addr_list, addr_count);
 	fibril_rwlock_write_unlock(&nic_data->rxc_lock);
@@ -473,9 +473,9 @@
  * @return ENOENT	If the mask is not set
  */
-errno_t nic_vlan_get_mask_impl(ddf_fun_t *fun, nic_vlan_mask_t *mask)
+int nic_vlan_get_mask_impl(ddf_fun_t *fun, nic_vlan_mask_t *mask)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
 	fibril_rwlock_read_lock(&nic_data->rxc_lock);
-	errno_t rc = nic_rxc_vlan_get_mask(&nic_data->rx_control, mask);
+	int rc = nic_rxc_vlan_get_mask(&nic_data->rx_control, mask);
 	fibril_rwlock_read_unlock(&nic_data->rxc_lock);
 	return rc;
@@ -491,9 +491,9 @@
  * @return ENOMEM
  */
-errno_t nic_vlan_set_mask_impl(ddf_fun_t *fun, const nic_vlan_mask_t *mask)
+int nic_vlan_set_mask_impl(ddf_fun_t *fun, const nic_vlan_mask_t *mask)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
 	fibril_rwlock_write_lock(&nic_data->rxc_lock);
-	errno_t rc = nic_rxc_vlan_set_mask(&nic_data->rx_control, mask);
+	int rc = nic_rxc_vlan_set_mask(&nic_data->rx_control, mask);
 	if (rc == EOK && nic_data->on_vlan_mask_change) {
 		nic_data->on_vlan_mask_change(nic_data, mask);
@@ -518,5 +518,5 @@
  * @return ENOMEM	If there was not enough memory to complete the operation
  */
-errno_t nic_wol_virtue_add_impl(ddf_fun_t *fun, nic_wv_type_t type,
+int nic_wol_virtue_add_impl(ddf_fun_t *fun, nic_wv_type_t type,
 	const void *data, size_t length, nic_wv_id_t *new_id)
 {
@@ -560,5 +560,5 @@
 	}
 	/* Call the user-defined add callback */
-	errno_t rc = nic_data->on_wol_virtue_add(nic_data, virtue);
+	int rc = nic_data->on_wol_virtue_add(nic_data, virtue);
 	if (rc != EOK) {
 		free(virtue->data);
@@ -593,5 +593,5 @@
  * @return ENOENT	If the virtue identifier is not valid.
  */
-errno_t nic_wol_virtue_remove_impl(ddf_fun_t *fun, nic_wv_id_t id)
+int nic_wol_virtue_remove_impl(ddf_fun_t *fun, nic_wv_id_t id)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
@@ -629,5 +629,5 @@
  * @return ENOMEM	If there was not enough memory to complete the operation
  */
-errno_t nic_wol_virtue_probe_impl(ddf_fun_t *fun, nic_wv_id_t id,
+int nic_wol_virtue_probe_impl(ddf_fun_t *fun, nic_wv_id_t id,
 	nic_wv_type_t *type, size_t max_length, void *data, size_t *length)
 {
@@ -667,10 +667,10 @@
  * @return ENOMEM	If there was not enough memory to complete the operation
  */
-errno_t nic_wol_virtue_list_impl(ddf_fun_t *fun, nic_wv_type_t type,
+int nic_wol_virtue_list_impl(ddf_fun_t *fun, nic_wv_type_t type,
 	size_t max_count, nic_wv_id_t *id_list, size_t *id_count)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
 	fibril_rwlock_read_lock(&nic_data->wv_lock);
-	errno_t rc = nic_wol_virtues_list(&nic_data->wol_virtues, type,
+	int rc = nic_wol_virtues_list(&nic_data->wol_virtues, type,
 		max_count, id_list, id_count);
 	fibril_rwlock_read_unlock(&nic_data->wv_lock);
@@ -688,5 +688,5 @@
  * @return EOK		If the operation was successfully completed
   */
-errno_t nic_wol_virtue_get_caps_impl(ddf_fun_t *fun, nic_wv_type_t type, int *count)
+int nic_wol_virtue_get_caps_impl(ddf_fun_t *fun, nic_wv_type_t type, int *count)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
@@ -710,5 +710,5 @@
  * @return EPARTY	Error in communication protocol
  */
-errno_t nic_poll_get_mode_impl(ddf_fun_t *fun,
+int nic_poll_get_mode_impl(ddf_fun_t *fun,
 	nic_poll_mode_t *mode, struct timeval *period)
 {
@@ -733,5 +733,5 @@
  * @return EPARTY	Error in communication protocol
  */
-errno_t nic_poll_set_mode_impl(ddf_fun_t *fun,
+int nic_poll_set_mode_impl(ddf_fun_t *fun,
 	nic_poll_mode_t mode, const struct timeval *period)
 {
@@ -754,5 +754,5 @@
 	}
 	fibril_rwlock_write_lock(&nic_data->main_lock);
-	errno_t rc = nic_data->on_poll_mode_change(nic_data, mode, period);
+	int rc = nic_data->on_poll_mode_change(nic_data, mode, period);
 	assert(rc == EOK || rc == ENOTSUP || rc == EINVAL);
 	if (rc == ENOTSUP && (nic_data->on_poll_request != NULL) && 
@@ -783,5 +783,5 @@
  * @return EINVAL	If the NIC is not in state where it allows on demand polling
  */
-errno_t nic_poll_now_impl(ddf_fun_t *fun) {
+int nic_poll_now_impl(ddf_fun_t *fun) {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
 	fibril_rwlock_read_lock(&nic_data->main_lock);
@@ -821,5 +821,5 @@
  * @return EOK always.
  */
-errno_t nic_open_impl(ddf_fun_t *fun)
+int nic_open_impl(ddf_fun_t *fun)
 {
 	return EOK;
Index: uspace/lib/nic/src/nic_rx_control.c
===================================================================
--- uspace/lib/nic/src/nic_rx_control.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/src/nic_rx_control.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -52,8 +52,8 @@
  * @return EINVAL	Internal error, should not happen
  */
-errno_t nic_rxc_init(nic_rxc_t *rxc)
+int nic_rxc_init(nic_rxc_t *rxc)
 {
 	memset(rxc, 0, sizeof(nic_rxc_t));
-	errno_t rc;
+	int rc;
 	rc = nic_addr_db_init(&rxc->blocked_sources, ETH_ADDR);
 	if (rc != EOK) {
@@ -84,5 +84,5 @@
  * @param filters
  */
-errno_t nic_rxc_clear(nic_rxc_t *rxc)
+int nic_rxc_clear(nic_rxc_t *rxc)
 {
 	nic_addr_db_destroy(&rxc->unicast_addrs);
@@ -103,9 +103,9 @@
  *
  */
-errno_t nic_rxc_set_addr(nic_rxc_t *rxc, const nic_address_t *prev_addr,
+int nic_rxc_set_addr(nic_rxc_t *rxc, const nic_address_t *prev_addr,
     const nic_address_t *curr_addr)
 {
 	if (prev_addr != NULL) {
-		errno_t rc = nic_addr_db_remove(&rxc->unicast_addrs,
+		int rc = nic_addr_db_remove(&rxc->unicast_addrs,
 		    (const uint8_t *) &prev_addr->address);
 		if (rc != EOK)
@@ -173,5 +173,5 @@
  * @return ENOMEM	If there was not enough memory
  */
-errno_t nic_rxc_unicast_set_mode(nic_rxc_t *rxc, nic_unicast_mode_t mode,
+int nic_rxc_unicast_set_mode(nic_rxc_t *rxc, nic_unicast_mode_t mode,
 	const nic_address_t *address_list, size_t address_count)
 {
@@ -188,5 +188,5 @@
 	size_t i;
 	for (i = 0; i < address_count; ++i) {
-		errno_t rc = nic_addr_db_insert(&rxc->unicast_addrs,
+		int rc = nic_addr_db_insert(&rxc->unicast_addrs,
 			(const uint8_t *) &address_list[i].address);
 		if (rc == ENOMEM) {
@@ -237,5 +237,5 @@
  * @return ENOMEM	If there was not enough memory
  */
-errno_t nic_rxc_multicast_set_mode(nic_rxc_t *rxc, nic_multicast_mode_t mode,
+int nic_rxc_multicast_set_mode(nic_rxc_t *rxc, nic_multicast_mode_t mode,
 	const nic_address_t *address_list, size_t address_count)
 {
@@ -251,5 +251,5 @@
 	size_t i;
 	for (i = 0; i < address_count; ++i) {
-		errno_t rc = nic_addr_db_insert(&rxc->multicast_addrs,
+		int rc = nic_addr_db_insert(&rxc->multicast_addrs,
 			(const uint8_t *)&address_list[i].address);
 		if (rc == ENOMEM) {
@@ -279,5 +279,5 @@
  * @return EOK		On success
  */
-errno_t nic_rxc_broadcast_set_mode(nic_rxc_t *rxc, nic_broadcast_mode_t mode)
+int nic_rxc_broadcast_set_mode(nic_rxc_t *rxc, nic_broadcast_mode_t mode)
 {
 	rxc->broadcast_mode = mode;
@@ -320,5 +320,5 @@
  * @return ENOMEM	If there was not enough memory
  */
-errno_t nic_rxc_blocked_sources_set(nic_rxc_t *rxc,
+int nic_rxc_blocked_sources_set(nic_rxc_t *rxc,
 	const nic_address_t *address_list, size_t address_count)
 {
@@ -330,5 +330,5 @@
 	size_t i;
 	for (i = 0; i < address_count; ++i) {
-		errno_t rc = nic_addr_db_insert(&rxc->blocked_sources,
+		int rc = nic_addr_db_insert(&rxc->blocked_sources,
 			(const uint8_t *) &address_list[i].address);
 		if (rc == ENOMEM) {
@@ -348,5 +348,5 @@
  * @return ENOENT
  */
-errno_t nic_rxc_vlan_get_mask(const nic_rxc_t *rxc, nic_vlan_mask_t *mask)
+int nic_rxc_vlan_get_mask(const nic_rxc_t *rxc, nic_vlan_mask_t *mask)
 {
 	if (rxc->vlan_mask == NULL) {
@@ -366,5 +366,5 @@
  * @return ENOMEM
  */
-errno_t nic_rxc_vlan_set_mask(nic_rxc_t *rxc, const nic_vlan_mask_t *mask)
+int nic_rxc_vlan_set_mask(nic_rxc_t *rxc, const nic_vlan_mask_t *mask)
 {
 	if (mask == NULL) {
@@ -394,5 +394,5 @@
  * @return True if the frame passes, false if it does not
  */
-bool nic_rxc_check(const nic_rxc_t *rxc, const void *data, size_t size,
+int nic_rxc_check(const nic_rxc_t *rxc, const void *data, size_t size,
 	nic_frame_type_t *frame_type)
 {
Index: uspace/lib/nic/src/nic_wol_virtues.c
===================================================================
--- uspace/lib/nic/src/nic_wol_virtues.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/src/nic_wol_virtues.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -71,5 +71,5 @@
  * @return ENOMEM	On not enough memory
  */
-errno_t nic_wol_virtues_init(nic_wol_virtues_t *wvs)
+int nic_wol_virtues_init(nic_wol_virtues_t *wvs)
 {
 	memset(wvs, 0, sizeof(nic_wol_virtues_t));
@@ -124,5 +124,5 @@
  * @return ENOTSUP	This type is unknown
  */
-errno_t nic_wol_virtues_verify(nic_wv_type_t type, const void *data, size_t length)
+int nic_wol_virtues_verify(nic_wv_type_t type, const void *data, size_t length)
 {
 	switch (type) {
@@ -160,5 +160,5 @@
  * @return ENOMEM	Not enough memory to activate the virtue
  */
-errno_t nic_wol_virtues_add(nic_wol_virtues_t *wvs, nic_wol_virtue_t *virtue)
+int nic_wol_virtues_add(nic_wol_virtues_t *wvs, nic_wol_virtue_t *virtue)
 {
 	if (!nic_wv_is_multi(virtue->type) &&
@@ -247,5 +247,5 @@
  * @return EINVAL	If the filter type is invalid
  */
-errno_t nic_wol_virtues_list(const nic_wol_virtues_t *wvs, nic_wv_type_t type,
+int nic_wol_virtues_list(const nic_wol_virtues_t *wvs, nic_wv_type_t type,
 	size_t max_count, nic_wv_id_t *id_list, size_t *id_count)
 {
Index: uspace/lib/packet/include/netdb.h
===================================================================
--- uspace/lib/packet/include/netdb.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
+++ uspace/lib/packet/include/netdb.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -0,0 +1,109 @@
+/*
+ * Copyright (c) 2009 Lukas Mejdrech
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup netdb
+ *  @{
+ */
+
+/** @file
+ *  Structures and interfaces according to the BSD netdb.h file.
+ */
+
+#ifndef __NET_NETDB_H__
+#define __NET_NETDB_H__
+
+#include <sys/types.h>
+
+/** Structure returned by network data base library.
+ *  All addresses are supplied in host order, and returned in network order (suitable for use in system calls).
+ */
+struct	hostent {
+	/** Official host name.
+	 */
+	char * h_name;
+	/** Alias list.
+	 */
+	char **	h_aliases;
+	/** Host address type.
+	 */
+	int h_addrtype;
+	/** Address length.
+	 */
+	int h_length;
+	/** List of addresses from name server.
+	 */
+	char **	h_addr_list;
+	/** Address, for backward compatiblity.
+	 */
+#define	h_addr	h_addr_list[0]
+};
+
+/** @name Host entry address types definitions.
+ */
+/*@{*/
+
+/** Authoritative Answer Host not found address type.
+ */
+#define	HOST_NOT_FOUND	1
+
+/** Non-Authoritive Host not found, or SERVERFAIL address type.
+ */
+#define	TRY_AGAIN	2
+
+/** Non recoverable errors, FORMERR, REFUSED, NOTIMP address type.
+ */
+#define	NO_RECOVERY	3
+
+/** Valid name, no data record of requested type address type.
+ */
+#define	NO_DATA		4
+
+/** No address, look for MX record address type.
+ */
+#define	NO_ADDRESS	NO_DATA
+
+/*@}*/
+
+/** Returns host entry by the host address.
+ *  @param[in] address The host address.
+ *  @param[in] len The address length.
+ *  @param[in] type The address type.
+ *  @returns Host entry information.
+ */
+//struct hostent *	gethostbyaddr(const void * address, int len, int type);
+
+/** Returns host entry by the host name.
+ *  @param[in] name The host name.
+ *  @returns Host entry information.
+ */
+//struct hostent *	gethostbyname(const char * name);
+
+#endif
+
+/** @}
+ */
Index: uspace/lib/packet/include/tcp_codes.h
===================================================================
--- uspace/lib/packet/include/tcp_codes.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
+++ uspace/lib/packet/include/tcp_codes.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -0,0 +1,88 @@
+/*
+ * Copyright (c) 2009 Lukas Mejdrech
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup tcp
+ *  @{
+ */
+
+/** @file
+ *  TCP options definitions.
+ */
+
+#ifndef __NET_TCP_CODES_H__
+#define __NET_TCP_CODES_H__
+
+/** End of list TCP option.
+ */
+#define TCPOPT_END_OF_LIST				0x0
+
+/** No operation TCP option.
+ */
+#define TCPOPT_NO_OPERATION				0x1
+
+/** Maximum segment size TCP option.
+ */
+#define TCPOPT_MAX_SEGMENT_SIZE			0x2
+
+/** Maximum segment size TCP option length.
+ */
+#define TCPOPT_MAX_SEGMENT_SIZE_LENGTH	4
+
+/** Window scale TCP option.
+ */
+#define TCPOPT_WINDOW_SCALE				0x3
+
+/** Window scale TCP option length.
+ */
+#define TCPOPT_WINDOW_SCALE_LENGTH		3
+
+/** Selective acknowledgement permitted TCP option.
+ */
+#define TCPOPT_SACK_PERMITTED			0x4
+
+/** Selective acknowledgement permitted TCP option length.
+ */
+#define TCPOPT_SACK_PERMITTED_LENGTH	2
+
+/** Selective acknowledgement TCP option.
+ *  Has variable length.
+ */
+#define TCPOPT_SACK						0x5
+
+/** Timestamp TCP option.
+ */
+#define TCPOPT_TIMESTAMP				0x8
+
+/** Timestamp TCP option length.
+ */
+#define TCPOPT_TIMESTAMP_LENGTH			10
+
+#endif
+
+/** @}
+ */
Index: uspace/lib/pcm/include/pcm/format.h
===================================================================
--- uspace/lib/pcm/include/pcm/format.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/pcm/include/pcm/format.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -99,8 +99,8 @@
 }
 void pcm_format_silence(void *dst, size_t size, const pcm_format_t *f);
-errno_t pcm_format_convert_and_mix(void *dst, size_t dst_size, const void *src,
+int pcm_format_convert_and_mix(void *dst, size_t dst_size, const void *src,
     size_t src_size, const pcm_format_t *sf, const pcm_format_t *df);
-errno_t pcm_format_mix(void *dst, const void *src, size_t size, const pcm_format_t *f);
-errno_t pcm_format_convert(pcm_format_t a, void* srca, size_t sizea,
+int pcm_format_mix(void *dst, const void *src, size_t size, const pcm_format_t *f);
+int pcm_format_convert(pcm_format_t a, void* srca, size_t sizea,
     pcm_format_t b, void* srcb, size_t *sizeb);
 
Index: uspace/lib/pcm/include/pcm/sample_format.h
===================================================================
--- uspace/lib/pcm/include/pcm/sample_format.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/pcm/include/pcm/sample_format.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -184,11 +184,11 @@
 	switch(format) {
 	case PCM_SAMPLE_UINT8:
-		return "8 bit unsigned";
+		return "8 bit unsinged";
 	case PCM_SAMPLE_SINT8:
-		return "8 bit signed";
+		return "8 bit singed";
 	case PCM_SAMPLE_UINT16_LE:
 		return "16 bit unsigned(LE)";
 	case PCM_SAMPLE_SINT16_LE:
-		return "16 bit signed(LE)";
+		return "16 bit singed(LE)";
 	case PCM_SAMPLE_UINT16_BE:
 		return "16 bit unsigned(BE)";
Index: uspace/lib/pcm/src/format.c
===================================================================
--- uspace/lib/pcm/src/format.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/pcm/src/format.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -170,5 +170,5 @@
  * @return Error code.
  */
-errno_t pcm_format_mix(void *dst, const void *src, size_t size, const pcm_format_t *f)
+int pcm_format_mix(void *dst, const void *src, size_t size, const pcm_format_t *f)
 {
 	return pcm_format_convert_and_mix(dst, size, src, size, f, f);
@@ -188,5 +188,5 @@
  * If there are not enough data in the source buffer silent data is assumed.
  */
-errno_t pcm_format_convert_and_mix(void *dst, size_t dst_size, const void *src,
+int pcm_format_convert_and_mix(void *dst, size_t dst_size, const void *src,
     size_t src_size, const pcm_format_t *sf, const pcm_format_t *df)
 {
Index: uspace/lib/pcut/include/pcut/asserts.h
===================================================================
--- uspace/lib/pcut/include/pcut/asserts.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/pcut/include/pcut/asserts.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -77,5 +77,5 @@
  * @param size Size of the buffer.
  */
-void pcut_str_error(errno_t error, char *buffer, int size);
+void pcut_str_error(int error, char *buffer, int size);
 
 /** Raise assertion error (internal version).
@@ -264,6 +264,6 @@
 #define PCUT_ASSERT_ERRNO_VAL_WITH_NAME(expected_value, expected_quoted, actual_value) \
 	do {\
-		errno_t pcut_expected_eval = (expected_value); \
-		errno_t pcut_actual_eval = (actual_value); \
+		int pcut_expected_eval = (expected_value); \
+		int pcut_actual_eval = (actual_value); \
 		if (pcut_expected_eval != pcut_actual_eval) { \
 			char pcut_expected_description[100]; \
Index: uspace/lib/pcut/include/pcut/pcut.h
===================================================================
--- uspace/lib/pcut/include/pcut/pcut.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/pcut/include/pcut/pcut.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -36,17 +36,3 @@
 #include <pcut/tests.h>
 
-
-/** PCUT outcome: test passed. */
-#define PCUT_OUTCOME_PASS 0
-
-/** PCUT outcome: test failed. */
-#define PCUT_OUTCOME_FAIL 1
-
-/** PCUT outcome: test failed unexpectedly. */
-#define PCUT_OUTCOME_INTERNAL_ERROR 2
-
-/** PCUT outcome: invalid invocation of the final program. */
-#define PCUT_OUTCOME_BAD_INVOCATION 3
-
-
 #endif
